# Universal Camera SDK 开发笔记
## 编译器
由于本项目计划在不同平台上均可使用，因此需要对常见的平台的编译器进行配置。   
### aarch64-none-linux-gnu
```bash
wget https://armkeil.blob.core.windows.net/developer/Files/downloads/gnu/12.2.rel1/binrel/arm-gnu-toolchain-12.2.rel1-x86_64-aarch64-none-linux-gnu.tar.xz
```

## 第三方库编译
本项目涉及第三方库主要是opencv、ffmpeg、x264.   
### 编译环境：
#### x86_64 平台编译环境
- 操作系统： Debian12(Linux 5.15)   
- GCC/G++ version : 12.2.0   
- cmake version : 3.25.1   
- make version : 4.3   

#### arm64平台交叉编译环境
- Host 平台： x86_64   
- Target 平台： aarch64   
- 交叉编译器： arm官方，aarch64-none-linux-gnu   
- GCC/G++ version : 12.2.1   

### x264 编译
源码下载：
```bash
wget https://code.videolan.org/videolan/x264/-/archive/master/x264-master.tar.bz2
```

#### arm64平台交叉编译







